<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFObjectData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFObjectData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFObjectData" class="title">Class XSSFObjectData</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                       title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                               title="class in org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel.XSSFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xssf.usermodel.XSSFObjectData</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                            title="interface in org.apache.poi.ss.usermodel">ObjectData</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFObjectData</span>
extends <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
           title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
              title="interface in org.apache.poi.ss.usermodel">ObjectData</a></pre>
                <div class="block">Represents binary object (i.e. OLE) data stored in the file. Eg. A GIF, JPEG etc...
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#anchor">anchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#drawing">drawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#parent">parent</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#XSSFObjectData-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">XSSFObjectData</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getContentType--">getContentType</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getDirectory--">getDirectory</a></span>()</code>
                                    <div class="block">Gets the object data.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getFileName--">getFileName</a></span>()</code>
                                    <div class="block">The filename of the embedded image</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getObjectData--">getObjectData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getObjectPart--">getObjectPart</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getOLE2ClassName--">getOLE2ClassName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.spreadsheetml.x2006.main.CTOleObject</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getOleObject--">getOleObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPictureData</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getPictureData--">getPictureData</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#hasDirectoryEntry--">hasDirectoryEntry</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected static
                                    org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFObjectData.html#prototype--">prototype</a></span>()</code>
                                    <div class="block">Prototype with the default structure of a new auto-shape.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph--">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-java.lang.String-">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#addNewTextParagraph-org.apache.poi.xssf.usermodel.XSSFRichTextString-">addNewTextParagraph</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#clearText--">clearText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getBottomInset--">getBottomInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getCTShape--">getCTShape</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getLeftInset--">getLeftInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getRightInset--">getRightInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeProperties--">getShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getText--">getText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextAutofit--">getTextAutofit</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextBody--">getTextBody</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextDirection--">getTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextHorizontalOverflow--">getTextHorizontalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextParagraphs--">getTextParagraphs</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTextVerticalOverflow--">getTextVerticalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getTopInset--">getTopInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getVerticalAlignment--">getVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#getWordWrap--">getWordWrap</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setBottomInset-double-">setBottomInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setLeftInset-double-">setLeftInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setRightInset-double-">setRightInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setShapeType-int-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-java.lang.String-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setText-org.apache.poi.xssf.usermodel.XSSFRichTextString-">setText</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextAutofit-org.apache.poi.xssf.usermodel.TextAutofit-">setTextAutofit</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextDirection-org.apache.poi.xssf.usermodel.TextDirection-">setTextDirection</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextHorizontalOverflow-org.apache.poi.xssf.usermodel.TextHorizontalOverflow-">setTextHorizontalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTextVerticalOverflow-org.apache.poi.xssf.usermodel.TextVerticalOverflow-">setTextVerticalOverflow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setTopInset-double-">setTopInset</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setVerticalAlignment-org.apache.poi.ss.usermodel.VerticalAlignment-">setVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setWordWrap-boolean-">setWordWrap</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFSimpleShape.html#setXfrm-org.openxmlformats.schemas.drawingml.x2006.main.CTTransform2D-">setXfrm</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.usermodel.<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFShape</a></h3>
                                <code><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getDrawing--">getDrawing</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFShape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html#getShapeId--">getShapeId</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFObjectData-org.apache.poi.xssf.usermodel.XSSFDrawing-org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFObjectData</h4>
                                <pre>protected&nbsp;XSSFObjectData(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFDrawing.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFDrawing</a>&nbsp;drawing,
                         org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;ctShape)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="prototype--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>prototype</h4>
                                <pre>protected static&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;prototype()</pre>
                                <div class="block">Prototype with the default structure of a new auto-shape.</div>
                            </li>
                        </ul>
                        <a name="getOLE2ClassName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOLE2ClassName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getOLE2ClassName()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getOLE2ClassName--">getOLE2ClassName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the OLE2 Class Name of the object</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOleObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOleObject</h4>
                                <pre>public&nbsp;org.openxmlformats.schemas.spreadsheetml.x2006.main.CTOleObject&nbsp;getOleObject()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the CTOleObject associated with the shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getObjectData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getObjectData</h4>
                                <pre>public&nbsp;byte[]&nbsp;getObjectData()
                     throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getObjectData--">getObjectData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the data portion, for an ObjectData that doesn't have an associated POIFS
                                        Directory Entry
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getObjectPart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getObjectPart</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                                    title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;getObjectPart()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the package part of the object data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hasDirectoryEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasDirectoryEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;hasDirectoryEntry()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#hasDirectoryEntry--">hasDirectoryEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>does this ObjectData have an associated POIFS Directory Entry?
                                        (Not all do, those that don't have a data portion)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDirectory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDirectory</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DirectoryEntry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">DirectoryEntry</a>&nbsp;getDirectory()
                            throws java.io.IOException</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getDirectory--">ObjectData</a></code></span>
                                </div>
                                <div class="block">Gets the object data. Only call for ones that have
                                    data though. See <a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#hasDirectoryEntry--"><code>ObjectData.hasDirectoryEntry()</code></a>.
                                    The caller has to close the corresponding POIFSFileSystem
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getDirectory--">getDirectory</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the object data as an OLE2 directory.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if there was an error reading the data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFileName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFileName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getFileName()</pre>
                                <div class="block">The filename of the embedded image</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getFileName--">getFileName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a filename suggestion - inspecting/interpreting the Directory object probably
                                        gives a better result
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFSheet.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFSheet</a>&nbsp;getSheet()</pre>
                            </li>
                        </ul>
                        <a name="getPictureData--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPictureData</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFPictureData.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFPictureData</a>&nbsp;getPictureData()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getPictureData--">getPictureData</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the preview picture</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getContentType--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getContentType</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getContentType()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html#getContentType--">getContentType</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                                title="interface in org.apache.poi.ss.usermodel">ObjectData</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFObjectData.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFOddFooter.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFObjectData.html"
               target="_top">Frames</a></li>
        <li><a href="XSSFObjectData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xssf.usermodel.XSSFShape">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
